/***************************************************************************
 *   Copyright (C) 2007 by peter komar   *
 *   marcusk@i.ua   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef GELD2C_H
#define GELD2C_H

#include "ui_mainfrm.h"
#include "mainwidgetdlg.h"
#include "dockwidg.h"

class Finances:public QMainWindow, public Ui::MainWindow
{
      Q_OBJECT
public:
	Finances();
	~Finances();
public slots:
    void add_op();
    void del_ac();
    void exit_app();
    void new_ac();
    void info_credit();
private:
    void createDockWindows();
    void init_connections();
    
    MainWidgetDlg *main_f;
    DockWidg *toolsDlg;
private slots:
    void reset_filter();
    void set_filter();
    void slot_print_file();
    void slot_print();
};

#endif
