//
// C++ Interface: fdatabase
//
// Description: 
//
//
// Author: peter komar <peter@linux-nlyt>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef FDATABASE_H
#define FDATABASE_H

#include <QList>

#include "misc.h"

struct Db_dat
{
	QString Name;
	int count_d;
	QString  date;
	QString  descr;
};

/**
Data base finances implementation

	@author peter komar <peter@linux-nlyt>
*/
QList<Db_dat> load_data_from_creditors();
QString load_data_from_operation(const QString& sYear);
void add_operation(bool bAdd, Db_dat data);
void set_data_creditor(Db_dat data);
Db_dat info_creditor(const QString& data_operation);

#endif
